### Function

# GObject type_add_class_private

since: 2.24

#### Declaration [src]

    void
    g_type_add_class_private (
      GType class_type,
      gsize private_size
    )

#### Description [src]

Registers a private class structure for a classed type; when the class is allocated, the private structures for the class and all of its parent types are allocated sequentially in the same memory block as the public structures, and are zero-filled.

This function should be called in the type’s `get_type()` function after the type is registered. The private structure can be retrieved using the G_TYPE_CLASS_GET_PRIVATE() macro.

Available since: 2.24

#### Parameters

`class_type`

  Type: `GType`

  GType of a classed type.

`private_size`

  Type: `gsize`

  Size of private structure.